WHICH(1)

NOMBRE
which - Busca una orden

SINOPSIS
which [-a] nombre-de-fichero ...

DESCRIPCIÓN
which devuelve los nombres de ruta de ficheros (o enlaces) que se ejecutarían en el entorno actual, en el caso de haber introducido sus argumentos como órdenes en un intérprete de órdenes estrictamente conforme con las normas POSIX. Para ello, busca ficheros ejecutables dentro de «PATH» cuyo nombre coincida con el nombre de los argumentos. No sigue enlaces simbólicos.

OPCIONES

-a  Muestra todos los nombres de ruta que coincidan con cada argumento.

ESTADO DE SALIDA

0   Se han encontrado las órdenes definidas, y son ejecutables.

1   Una o más órdenes no existen, o no son ejecutables.

2   La opción definida no es válida.